#ifndef TANK_COMMON_H
#define TANK_COMMON_H

#include "common.h"

typedef struct {
    int device_id;              // 设备ID (101, 102等)
    int back_time;
    int back_interval_back;
    int shot_back_speed;
    int(*shot_back)(unsigned char pin,unsigned char val);
} tank_common_back;

void tank_shot_stop_control(int device_id,unsigned char pin,unsigned char val);

void tank_thread_close();


int angele_limit();
#endif